<h2>Add restaurant</h2>

<ngb-alert *ngIf="successMessage" type="success" (close)="successMessage = ''">{{ successMessage }}</ngb-alert>
<ngb-alert *ngIf="failureMessage" type="danger" (close)="failureMessage = ''">{{ failureMessage }}</ngb-alert>

<form [formGroup]="addRestaurantFormGroup" (ngSubmit)="addRestaurant()">
    <div class="form-group">
        <label for="name">Name</label>
        <input formControlName="name" type="text" class="form-control" id="name" placeholder="Enter name">

        <label for="address">Address</label>
        <input formControlName="address" type="text" class="form-control" id="address" placeholder="Enter address">

        <label for="email">Email</label>
        <input formControlName="email" type="email" class="form-control" id="email"  placeholder="Enter email">
    </div>

    <button type="submit" class="btn btn-primary">Add</button>
</form>